Jump to content
kimmy1235

Sexlab animations not working

Recommended Posts

Long time casual modder just getting back into Skyrim. I have updated all my programs to their most recent versions, but I'm having an issue getting any animations to play. I have gone to the Sexlab part of my in game mod menu, picked a target with my "N" button, and tried to initiate an animation, but nothing happened. I even tried using a chat option from a mod to convince an NPC to get into an animation, but once they agree and the position is picked, nothing happens. I can't seem to figure it out, and was hoping to get some help. I am using Vortex, having swapped from NMM, and was wondering if this is a known issue with an easy fix.

 

Here is my load order:

 

Spoiler

Skyrim.esm

Update.esm

Dawnguard.esm

HearthFires.esm

Dragonborn.esm

Unofficial Skyrim Legendary Edition Patch.esp

RaceCompatibility.esm

SexLab.esm

Devious Devices - Assets.esm

SexLabAroused.esm

ZaZAnimationPack.esm

Devious Devices - Intergration.esm

daymoyl.esm

hdtHighHeel.esm

MFVM.esm

paradise_halls.esm

Devious Devices - Expansion.esm

Schlongs of Skyrim - Core.esm

OblivionHairPackAIO.esm

ApachiiHair.esm

Captured Dreams.esp

Race Compatibility - Dialog - Dawnguard.esp

RaceCompatibilityUSKPOverride.esp

RaceCompatibility-Dialog.esp

RaceMenu.esp

RaceMenuPlugin.esp

DD - Interactions.esp

DD for Him - Captured Dreams patch.esp

Devious Deviants.esp (not sure what this is for)

DeviouslyHelpless.esp

OK_HumsnBeast.esp

paradise_halls_fellglow_slave_camp.esp

Schlongs of Skyrim.esp

SOS - Shop.esp

SexLabDefeat.esp

Reaper's The Dark Tower.esp

PathOfTheAntiMage.esp

SexLab Submit.esp

Devious Devices For Him.esp

MFVM_Hearthfire_Patch.esp

mslDeviousCaptures.esp

My Home Is Your Home.esp

paradise_halls_farengars_study.esp

dD - Realistic Ragdoll Force - Realistic.esp

SkyUI.esp

Devious Loading Screen.esp

calpye-animal-ears.esp

SLAnimLoader.esp
FNIS.esp

Mighty Beasts - Warewolf.esp

SOS - Smurf Average Addon.esp

SOS - VectorPlexus Muscular Addon.esp

SOS - VectorPlexus Regular Addon.esp

SOSRaceMenu.esp

XPMSE.esp

Devious Devices - BRRF.esp

RaceCompatibility-Dialog-Dawnguard.esp

BeastialBeastRaces.esp

SOS - Leito Addon.esp

Collar.esp

Ragged Slave Skirt.esp

mannequin_collars.esp

dcc-mse-cowgirl.esp

MaskofBlades.esp

InsanityMask.esp

Osare Maid Outfit.esp

KatanaCrafting.esp

MorePP.esp

UIExtension.esp

 

Aside for the animations not running, the game seems to be running fine (though not all mods have been tested yet). The only other issue I have is that at the Captured Dreams Shop from the mod "Captured Dreams", there are some of the textures aren't loading in for things like the chains and the crops from what I believe is from the ZaZAnimationsPack. I think I got the most recent of everything, but maybe that is my issue? At this point I don't know and would like some help.

Link to post
1 hour ago, kimmy1235 said:

.

in game you need to go inside SexLab's Mod Control Menu (MCM) and click on "install" first before you can use SexLab.

 

and:

Quote

8. you may need to reload the animations, go to the Animation Loader's MCM and then:
8.1. click on the "Disable All" button.
8.2. click on "Rebuild Animation Registry", then Wait for the message to pop up*.
8.3. click on "Reload JSON".
8.4. click on "Enable All".
8.5. click on "Count Animations" and make sure nothing is over 500, turn off some animations if they are.
8.6. click on "Register Animations", then Wait for the message to pop up*.
*if you like you can press "~" on your keyboard to open the console so you can watch it Register everything, just make sure you close it before you try to click on anything.

 

also: https://www.loverslab.com/files/file/2018-sexlab-tools-v30/

Link to post

Just taking a quick look at it, your load order seems wonky.  SkyUI for example is usually at the top of everyone's load order (right after your last .esm).  UI Extensions is another mod that everyone usually says goes at the top, right after SkyUI.

 

Did you run LOOT to sort your load order?

Link to post
14 hours ago, tsnootch said:

Just taking a quick look at it, your load order seems wonky.  SkyUI for example is usually at the top of everyone's load order (right after your last .esm).  UI Extensions is another mod that everyone usually says goes at the top, right after SkyUI.

 

Did you run LOOT to sort your load order?

I thought that Vortex had a built in LOOT function. I will work with it more later, after I get off work, and post my results.

Link to post

My first question would have been about LOOT.

Second question; what mod are you using to initiate the sex?

Third do you have any animation packs installed? I can see the SLA Loader but no packs.

9 hours ago, kimmy1235 said:

Devious Deviants.esp (not sure what this is for)

Then why install it?

Link to post
5 hours ago, Grey Cloud said:

My first question would have been about LOOT.

Second question; what mod are you using to initiate the sex?

Third do you have any animation packs installed? I can see the SLA Loader but no packs.

Then why install it?

It was probably from my old loadout and got brought over when I transferred it to Vortex. to be honest, I haven't played Skyrim in years, so some of these mods I have no clue what they do. I assume Devious Deviants is related in some way to Devious Devices (might be a mod to allow you to "convince" NPCs into wearing bondage gear) but when I looked it up hear, I couldn't find the mod. Marked it down in case someone knew what it was.

Link to post

It's the quest for DD that was skipped several versions ago. That you have that means you still have the old version.

So... i see you also have CD which requires an old version that is no longer avaivable for download and new DD versions aren't backwards compatible, i suggest you at least keep it somewhere.

So no - you don't have the most recent versions or you didn't update them properly, and yes, upgrading can be a problem. Especially if you only do half of it and play with mods no longer supported by recent versions.

Link to post
1 hour ago, Nazzzgul666 said:

It's the quest for DD that was skipped several versions ago. That you have that means you still have the old version.

So... i see you also have CD which requires an old version that is no longer avaivable for download and new DD versions aren't backwards compatible, i suggest you at least keep it somewhere.

So no - you don't have the most recent versions or you didn't update them properly, and yes, upgrading can be a problem. Especially if you only do half of it and play with mods no longer supported by recent versions.

Ok, so Captured Dreams doesn't work with DD? I thought I saw an updated version (which I DLed, and added to my mod list) and it worked fine, save for a few texture issues with the chains binding some of the slaves there, and the crops some of the NPCs there had on their person. You are saying that it is no longer compatible with sexlab or DD thought? Well that sucks, cause I thought it was cool to have a shop to buy all my bondage gear, and the new version updated the look of the shop nicely.

 

So what is your suggestion? Disable both Devious Deviants and Captured Dreams?

 

Also, on a side note, how does one reorganize their load list in vortex? In NMM you could move them on the list, but Vortex doesn't seem to have that function.

Link to post
18 minutes ago, kimmy1235 said:

Ok, so Captured Dreams doesn't work with DD? I thought I saw an updated version (which I DLed, and added to my mod list) and it worked fine, save for a few texture issues with the chains binding some of the slaves there, and the crops some of the NPCs there had on their person. You are saying that it is no longer compatible with sexlab or DD thought? Well that sucks, cause I thought it was cool to have a shop to buy all my bondage gear, and the new version updated the look of the shop nicely.

 

So what is your suggestion? Disable both Devious Deviants and Captured Dreams?

 

Also, on a side note, how does one reorganize their load list in vortex? In NMM you could move them on the list, but Vortex doesn't seem to have that function.

I'm not sure how far the incompatibility goes, some missing textures could be possible. Also, some items have new keywords so CD can't remove them anymore. I'm not sure if there are more serious problems, didn't try it in a while but reading in CDs topic should help there.

The new upgrades are great, although a bit buggy in parts.

If you just want a shop buying your gear there is Lauras bondage shop, if you still have older DD versions you could try these with CD to do the quests, though. I'm also not sure which DD version CD actually requires, it's possible that your old is too old... as i said, it would be best to do some research in CDs support thread, the author is still around to answer questions but development is stopped.

 

But there is a more serious problem: that Devious Deviants is in your load order means you didn't remove the old DD version properly before installing the new one, and that WILL cause bigger problems than some missing textures. That's something you should fix first, before doing anything else, and don't use any save where it wasn't solved.

 

I have no clue about Vortex and almost none about NMM, i'm using MO since i had to reinstall Skyrim 3 times in one week when i tried to deal with NMM and that was 4 years ago. In parts because of what you're experiencing now: that removing old mods entirely may be a pain in the ass. In MO that's one click.

Link to post
3 hours ago, Nazzzgul666 said:

I'm not sure how far the incompatibility goes, some missing textures could be possible. Also, some items have new keywords so CD can't remove them anymore. I'm not sure if there are more serious problems, didn't try it in a while but reading in CDs topic should help there.

The new upgrades are great, although a bit buggy in parts.

If you just want a shop buying your gear there is Lauras bondage shop, if you still have older DD versions you could try these with CD to do the quests, though. I'm also not sure which DD version CD actually requires, it's possible that your old is too old... as i said, it would be best to do some research in CDs support thread, the author is still around to answer questions but development is stopped.

 

But there is a more serious problem: that Devious Deviants is in your load order means you didn't remove the old DD version properly before installing the new one, and that WILL cause bigger problems than some missing textures. That's something you should fix first, before doing anything else, and don't use any save where it wasn't solved.

 

I have no clue about Vortex and almost none about NMM, i'm using MO since i had to reinstall Skyrim 3 times in one week when i tried to deal with NMM and that was 4 years ago. In parts because of what you're experiencing now: that removing old mods entirely may be a pain in the ass. In MO that's one click.

ok, at this point I think I'm gonna delete my Skyrim folder (after uninstalling the game) and starting my mods from scratch. After seeing FNIS give me a warning when I removed some mods, and then give me 2 when I tried reinstalling it, I just decided to nuke everything and start try reinstalling the newer mods. Perhaps doing that I'll be able to make some headway on this. I'll try the other bondage shop you suggested, and maybe I'll be able to make the game I want. Had a really neat idea for a slaver character that specifically enslaves female mages (using "Path of The Anti-Mage" to make him completely unfair to his targets :P). Any suggestions for slavery mods, or home mods where I can keep and torment all my pets? XD

Link to post
5 hours ago, kimmy1235 said:

ok, at this point I think I'm gonna delete my Skyrim folder (after uninstalling the game) and starting my mods from scratch. After seeing FNIS give me a warning when I removed some mods, and then give me 2 when I tried reinstalling it, I just decided to nuke everything and start try reinstalling the newer mods. Perhaps doing that I'll be able to make some headway on this. I'll try the other bondage shop you suggested, and maybe I'll be able to make the game I want. Had a really neat idea for a slaver character that specifically enslaves female mages (using "Path of The Anti-Mage" to make him completely unfair to his targets :P). Any suggestions for slavery mods, or home mods where I can keep and torment all my pets? XD

I'm more or less playing PC enslavement mods only, i can't be bothered to care about all these other slaves.^^

But sexy bandit slaves or something like that adds slaves to bandit camps, and PAHE and My home is your home are popular.

 

SLaverun Reloaded has a path to be a slaver instead of a slave, v3 is still in beta and some things don't work but v2 should be fine. Again, though... be careful with DD versions, because it isn't updated and i don't know how bad that is.

Link to post

I'm also having this problem.  Can't get animations to trigger.  Everything else but animations are working.  Did all the suggestions:  LOOT, TES5 & FNIS.  I do get 7 warnings in FNIS that: 

>>Warning: AnimationList found in  "Animations\Billyy_Human", but no corresponding Behavior file. Incomplete mod IGNORED.<<
>>Warning: AnimationList found in  "Animations\Billyy_HumanFurniture", but no corresponding Behavior file. Incomplete mod IGNORED.<<
>>Warning: AnimationList found in  "Animations\Defeat", but no corresponding Behavior file. Incomplete mod IGNORED.<<
Reading FNISBase V7.4.5 ...
Reading FNISCreatureVersion V6.1 ...
Reading FNISSexyMove V7.1  ( 0 furniture, 0 offset, 0 paired, 0 kill, 0 chair, 18 alternate animations) ...
Reading FNIS_PCEA2 V1.3  ( 0 furniture, 0 offset, 0 paired, 0 kill, 0 chair, 557 alternate animations) ...
>>Warning: AnimationList found in  "Animations\SexLab", but no corresponding Behavior file. Incomplete mod IGNORED.<<
Reading SexLabAroused V?.? ...
>>Warning: AnimationList found in  "Animations\SexLabCreature", but no corresponding Behavior file. Incomplete mod IGNORED.<<
>>Warning: AnimationList found in  "Animations\XPMSE", but no corresponding Behavior file. Incomplete mod IGNORED.<<
>>Warning: AnimationList found in  "Animations\ZaZAnimationPack", but no corresponding Behavior file. Incomplete mod IGNORED.<<

 

Animations worked previously, but it seems the Behaviour files have gone missing.  

 

Where are these files and how do I get them to start behaving?  

Link to post
On 4/17/2019 at 6:06 PM, MadMansGun said:

yea.....your game is fucked.

Moment please....

 

I removed and re-installed Sexlab mods and reduced the warnings to one.  

 

>>Warning: AnimationList found in  "Animations\XPMSE", but no corresponding Behavior file. Incomplete mod IGNORED.<<
Reading ZaZAnimationPack V7.00  ( 26 furniture, 29 offset, 0 paired, 0 kill, 0 chair, 0 alternate animations) ...

 

................................

 

Make that zero warnings after I removed and re-installed XPSME  😉

 

Now I just hope my animations work when I start the game 😀

 

EDIT:  Yeah, every things working perfectly again.  Just call me "Randy".  

 

I think the key task I did in fixing the game was to run TES5Edit and did Auto Clean to remove hundreds of dirty files found in the game.  When I did that the one untraceable warning in FNIS became 7 identifiable warnings, because the dirty files were obscuring the flawed files in the game.  When the fog was removed it enabled FNIS to do it's work.    

 

Run TES5Edit to clean out dirty files every month.  

Link to post

I am having issues with my characters standing around doing nothing in the Furniture Sex Framework Mod SSE. They go to the nearest furniture undress, stand there doing nothing making sex sounds. what can I do to fix this?

Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...